=== modified file 'Makefile.am'
--- Makefile.am	2009-07-30 23:01:22 +0000
+++ Makefile.am	2009-08-07 19:45:29 +0000
@@ -225,10 +225,18 @@
 	cd tests ; \
 	$(MAKE) $(AM_MAKEFLAGS) test-drizzle
 
+test-junitxml:
+	cd tests ; \
+	$(MAKE) $(AM_MAKEFLAGS) test-junitxml
+
 test-big:
 	cd tests ; \
 	$(MAKE) $(AM_MAKEFLAGS) test-big
 
+test-big-junitxml:
+	cd tests ; \
+	$(MAKE) $(AM_MAKEFLAGS) test-big-junitxml
+
 doxygen:
 	doxygen Doxyfile
 

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2009-07-27 17:26:22 +0000
+++ tests/Makefile.am	2009-08-13 18:15:51 +0000
@@ -98,16 +98,22 @@
 # maintenance and verification
 
 test-all:
-	$(TEST_RUN) --fast --force --suite=$(ALL_TESTS)
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=$(ALL_TESTS)
 
 test-drizzle:
-	$(TEST_RUN) --fast --force --suite=main,$(PLUGIN_TESTS)
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS)
+
+test-junitxml:
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS) --subunit | subunit2junitxml --no-passthrough > junit-format.xml
 
 test-big:
-	$(TEST_RUN) --fast --force --suite=big
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=big
+
+test-big-junitxml:
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=big --subunit | subunit2junitxml --no-passthrough > junit-format-big.xml
 
 test-plugins:
-	$(TEST_RUN) --fast --force --suite=$(PLUGIN_TESTS)
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=$(PLUGIN_TESTS)
 
 distclean-local:
 	rm -rf var

